Ask / Submit
0

Fail to update jolla-clock and mail: failing dependencies [answered]

asked 2013-12-29 17:02:49 +0300

reinout gravatar image

updated 2013-12-29 17:03:08 +0300

Updating jolla-clock and jolla-mails keeps failing for me. When I try to do it from the terminal with pkcon install I get these errors:

pkcon install jolla-email

(...)

Fatal error: nothing provides jolla-settings-accounts >= 0.1.31 needed by jolla-email 0.0.73-10.17.1.jolla.armv7hl

and for jolla-clock:

Fatal error: nothing provides timed-qt5-tools >= 2.85 needed by jolla-clock-0.2.4-10.10.1.jolla.armv7hl

Any advice?

edit retag flag offensive reopen delete

The question has been closed for the following reason "the question is answered, an answer was accepted" by molan
close date 2014-06-06 20:18:48.888471

2 Answers

Sort by » oldest newest most voted
0

answered 2013-12-29 17:11:17 +0300

Sailor gravatar image

updated 2013-12-29 17:44:05 +0300

Did you already upgrade to latest sailfish version? Because it would fail otherwise.

edit flag offensive delete publish link more
0

answered 2013-12-29 17:37:22 +0300

Bulder gravatar image

You need to update the OS version to the newest one. Updating the apps will be done by the update. Trying to update the apps without updating the OS can possibly even screw you over by breaking the Store and requiring to reinstall it.

edit flag offensive delete publish link more

Comments

Thanks. I thought OS updates would be found automatically with the app updates. Turns out those things are separate.

reinout ( 2013-12-30 00:57:33 +0300 )edit

Question tools

Follow
2 followers

Stats

Asked: 2013-12-29 17:02:49 +0300

Seen: 187 times

Last updated: Dec 29 '13